/*
 *      Program do przegladania logow z ekg.
 *      Rozne komendy.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __COM_VARIOUS_HH__
#define __COM_VARIOUS_HH__

#include "command.hh"
#include "errors.hh"
#include "mainwin.hh"
#include "dbase.hh"

#include <sstream>

class quit_exception : public command_exception, public ekglog_exception {};


class command_quit : public command_base {
public:

    command_quit(const std::string &str, std::vector<std::string> &events)
	:command_base(str,events) {}

    virtual ~command_quit() {}
    virtual std::string help_short(void);
    virtual std::string help_long(void);
    virtual const std::vector<std::string> &completition(void);
    virtual const std::vector<std::string> &complete(const std::string &arg);


    virtual void run(const std::vector<std::string> &argv);
};


#endif /* __COM_VARIOUS_HH__ */
