/*
 *      Program do przegladania logow z ekg.
 *      Pomoc w programie.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __COMMAND_HELP_HH__
#define __COMMAND_HELP_HH__


#include "command.hh"
#include "errors.hh"
#include "mainwin.hh"
#include "dbase.hh"

class command_help : public command_base {
public:

    command_help(const std::string &str, std::vector<std::string> &events, 
		    std::vector<command_base*> *com, mainwin *mw)
	:command_base(str, events),_mw(mw),_commands(com) {}
    virtual ~command_help() {}

    virtual void run(const std::vector<std::string> &argv);
    virtual std::string help_short(void);
    virtual std::string help_long(void);
    virtual const std::vector<std::string>& completition(void);
    virtual const std::vector<std::string> &complete(const std::string &arg);

private:

    mainwin *_mw;
    std::vector<command_base*> *_commands;
};



#endif /* __COMMAND_HELP_HH__ */
