/*
 *      Program do przegladania logow z ekg.
 *      Wczytywanie konfiguracji z plikow ekglog.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __FILES_HH__
#define __FILES_HH__

#include <fstream>
#include <cstdlib>
#include <string>
#include <map>
#include <iomanip>
#include <sstream>
#include <vector>
#include <iostream>

extern "C" {
#include <dirent.h>
}

#include "errors.hh"

struct msg_t {
    msg_t() {}

    int type,   /* typ wiadomosci */
	uin,    /* numererk */
	time,   /* lokalny otrzymania */
	rtime;  /* czas wyslania - dla przychodzacych */
    char nick[8192], /* wskaznik na string z nick'iem */
	 str[8192];  /* tresc wiadomosci */
private:
    msg_t(const msg_t&);
    msg_t &operator=(const msg_t&);
};

enum { MSG_SEND, MSG_RECV, CHAT_SEND, CHAT_RECV, STATUS };
enum { STAT_AVAIL, STAT_BUSY, STAT_INVISIBLE, STAT_NOTAVAIL };


struct msg_error {
    std::string str;
};

std::map<std::string,std::string> read_ekg_config(void);

std::vector<std::string>
prepare_file_list(std::map<std::string,std::string> var);

std::map<int,std::string> read_ekg_userlist(void);

msg_t *get_msg(std::istream &in);

#endif /* __FILES_HH__ */
