/*
 *      Program do przegladania logow z ekg.
 *      Lista wyboru.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __MENULIST_HH__
#define __MENULIST_HH__

#include <vector>

#include "window.hh"

extern "C" {
#include <ncurses.h>
}


class menulist: public window {
public:
    menulist(const char *title, 
	     int width, int height,
	     int startx, int starty,
	     int fg, int bold, int bg);
    virtual ~menulist();

    virtual void refresh(void);         /* odswiez okno */

    void append(const std::string &str, int id);
    const std::string &get_actstr(void);
    int get_actid(void);
    void set_act(int no) { _act_line = no % _entry_str.size(); _redraw = true; }

    void up(void);
    void down(void);
    void pgup(void);
    void pgdown(void);
    
    void clear(void);

    int size(void) { return _entry_str.size(); }

protected:

    void set_screen(void);

    std::vector<std::string> _entry_str;        /* tablica wpisow */
    std::vector<int> _entry_id;                 /* tablica identyfikatorow dla wpisow */

    int _screen_start;          /* linia rozpoczynajaca wyswietlanie */
    int _act_line;              /* linia aktywna - podswietlona */

    bool _show_size;            /* czy w pasku tytulowym pokazywac ilosc wpisow */
};

#endif /* __MENULIST_HH__ */
