/*
 *      Program do przegladania logow z ekg.
 *      Pasek stanu.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "status.hh"

status::status(int startx, int starty, int width):_width(width) {
    _win = newwin(1, width, starty, startx);
    if(!_win)
	error_exit("Nie mona utworzy okna statusu.");
}


status::~status() {
    delwin(_win);
}


void status::refresh(void) {
    if(!_win)
	return;

    wattron(_win, color_pair(COLOR_WHITE,0,COLOR_BLUE));
    wmove(_win, 0, 0);
    for(int i=0; i<_width; ++i) {
	wprintw(_win, " ");
    }
    wattroff(_win, color_pair(COLOR_WHITE,0,COLOR_BLUE));

    if(_title.size()) {
	wmove(_win, 0, 1);
	wprintl(_win, "\\c604(\\d"+_title+"\\c604)", color_pair(COLOR_WHITE,0,COLOR_BLUE) );
    }
    if(_more) {
	wmove(_win, 0, 25);
	wprintl(_win, "\\c604(\\c214more\\c604)");
    }
    if(_actstr.size()) {
	wmove(_win, 0, 32);
	std::string tmp = "\\c604(\\c704act:\\c714" + _actstr + "\\c604)";
	wprintl(_win, tmp.c_str());
    }

    wnoutrefresh(_win);
}
