/*
 *      Program do przegladania logow z ekg.
 *      Pasek stanu.
 *
 *
 *      copyright (c) 2003 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __STATUS_HH__
#define __STATUS_HH__

extern "C" {
#include <ncurses.h>
}

#include "errors.hh"
#include "stuff.hh"

class status {
public:
    status(int startx, int starty, int width);
    ~status();

    void set_more(bool arg) { _more = arg; }
    void set_title(const std::string &str) { _title = str; }
    void set_actstr(const std::string &str) { _actstr = str; }

    void refresh(void);

private:

    WINDOW * _win;

    int _width;         /* szerokosc okna */

    std::string _title; /* tresc pola tytulu */
    bool _more;         /* czy wyswietlac napis (more) */

    std::string _actstr;/* czy w niewidocznym oknie sa nowe wiadomosci */
};


#endif /* __STATUS_HH__ */
